import { VRM, VRMHumanoid } from "@pixiv/three-vrm";
import { Object3D } from "three";
declare class VRMModelNoiseChannel {
    bone: Object3D;
    xmin: number;
    xmax: number;
    ymin: number;
    ymax: number;
    zmin: number;
    zmax: number;
    lerpScale: number;
    x: number;
    y: number;
    z: number;
    private firstRun;
    constructor(bone: Object3D, xmin: number, xmax: number, ymin: number, ymax: number, zmin: number, zmax: number, lerpScale: number);
    update(deltaTime: number, reset?: boolean): void;
}
export default class VRMModelNoise {
    humanoid: VRMHumanoid;
    private static cache;
    channels: VRMModelNoiseChannel[];
    static get(vrm: VRM): VRMModelNoise;
    private constructor();
    update(deltaTime: number, reset?: boolean): void;
}
export {};
